- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- File List
- Globals

# Accessibility_Registry.idl File Reference

`import "Accessibility_Event.idl";`
`import "Accessibility_Application.idl";`
`import "Accessibility_Desktop.idl";`

Go to the source code of this file.

## Namespaces
namespace | Accessibility
## Data Structures
interface | Accessibility::Registry
struct | Accessibility::EventListenerMode
struct | Accessibility::DeviceEvent
struct | Accessibility::KeyDefinition
interface | Accessibility::DeviceEventListener
interface | Accessibility::DeviceEventController
## Typedefs
typedef sequence< Desktop > | Accessibility::DesktopSeq
typedef unsigned long | Accessibility::ControllerEventMask
typedef sequence< KeyDefinition > | Accessibility::KeySet
typedef sequence< EventType > | Accessibility::KeyEventTypeSeq
typedef sequence< EventType > | Accessibility::EventTypeSeq
## Enumerations
enum | Accessibility::KeyEventType { Accessibility::KEY_PRESSED, Accessibility::KEY_RELEASED }
enum | Accessibility::EventType { Accessibility::KEY_PRESSED_EVENT, Accessibility::KEY_RELEASED_EVENT, Accessibility::BUTTON_PRESSED_EVENT, Accessibility::BUTTON_RELEASED_EVENT }
enum | Accessibility::KeySynthType { Accessibility::KEY_PRESS, Accessibility::KEY_RELEASE, Accessibility::KEY_PRESSRELEASE, Accessibility::KEY_SYM, Accessibility::KEY_STRING }
enum | Accessibility::ModifierType { Accessibility::MODIFIER_SHIFT, Accessibility::MODIFIER_SHIFTLOCK, Accessibility::MODIFIER_CONTROL, Accessibility::MODIFIER_ALT, Accessibility::MODIFIER_META, Accessibility::MODIFIER_META2, Accessibility::MODIFIER_META3, Accessibility::MODIFIER_NUMLOCK }